// VMware vRealize Orchestrator action sample
//
// Get all the security profile service keys (IDs) of an ESXi Host, used as parameters for starting/stopping/restarting a service.
// 
// For vRO 6.0+/vCenter 6.0+
//
// Action Inputs:
// host - VC:HostSystem - ESXi Host from which to retrieve services
// logging - boolean - If true, write verbosely to the vRO system logs
//
// Return type: Array/string - The service keys of a VC:HostSystem
var hostServiceSystem = host.configManager.serviceSystem;
hostServiceSystem.refreshServices();
var services = hostServiceSystem.serviceInfo.service;
var serviceKeys = new Array();
for each (svc in services){
	if(logging == true){
		System.log("Key: "+svc.key+" -- Label: "+svc.label+" -- Policy: "+svc.policy);
	}
	serviceKeys.push(svc.key);
}
return serviceKeys;